source("irrfahrt.r")

#====================================================================
# Diskrete einfache Irrfahrt auf der Geraden
#====================================================================

set.seed(435)
# Jede einfache Irrfahrt wird mehrmals durchgefuehrt,
# um moegliche Realisationen zu vergleichen.
par(mfrow=c(2,2))
for(i in 1:4){
  I1 <-einfacheIrrfahrt(p=0.5, q=0.5, r=0, n=50)
}

for(i in 1:4){
  I2 <-einfacheIrrfahrt(p=0.3, q=0.3, r=0.4, n=50)
}

for(i in 1:4){
  I3 <-einfacheIrrfahrt(p=0.2, q=0.8, r=0, n=50)
}

for(i in 1:4){
  I4 <-einfacheIrrfahrt(p=0.5, q=0.2, r=0.3, n=50)
}


#====================================================================
# Veraenderung der Funktion zur Irrfahrt mit absorbierenden Schranken
#====================================================================

par(mfrow=c(2,2))
for(i in 1:4){
  I1 <-schrankenIrrfahrt(p=0.5, q=0.5, r=0, a=-5, b=5)
}


par(mfrow=c(2,2))
for(i in 1:4){
  I1 <-schrankenIrrfahrt(p=0.4, q=0.4, r=0.2, a=-5, b=5)
}

par(mfrow=c(2,2))
for(i in 1:4){
  I1 <-schrankenIrrfahrt(p=0.7, q=0.3, r=0, a=-5, b=5)
}


par(mfrow=c(2,2))
for(i in 1:4){
  I1 <-schrankenIrrfahrt(p=0.5, q=0.5, r=0, a=-3, b=6)
}

